Artboard
OttoFMS Settings

Edit Offsite Schedule

PATCH
/otto/api/settings/offsite/schedules/{name}

Path Parameters

name*string

PATCH /otto/api/settings/offsite/schedules/:name Parameter

Length1 <= length

Request Body

application/json

PATCH /otto/api/settings/offsite/schedules/:name Request body

bucket_name?string
Length1 <= length
container_data_1_bucket?|
container_data_1_different_remote?|
container_data_1_remote?|
container_data_1_remote_path?|
container_data_2_bucket?|
container_data_2_different_remote?|
container_data_2_remote?|
container_data_2_remote_path?|
file_browser_hash?string

the hash to use in the file browser url

include_external_container_data_1?boolean
include_external_container_data_2?boolean
remote_name?string
Length1 <= length
remote_path?string
Length1 <= length
zip_files?|

Response Body

application/json

application/json

curl -X PATCH "https://your.server.net/otto/api/settings/offsite/schedules/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "messages": [
    {
      "code": 0,
      "text": "ok"
    }
  ],
  "response": {}
}
{
  "messages": [
    {
      "code": 18011,
      "text": "OttoFMS sample error"
    }
  ],
  "response": {}
}